API Reference//
- Retrieve list of consents.
Overview
Authorization
Retrieve a consent by consent ID.
Retrieve list of consents.
Retrieve list of consents...
Returns a list of consents that can be filtered with a number of optional parameters and ordered descending by status updated datetime value
Security
Bearer(Required scopes: api:consent)
- UK Environment (Production)https://uk.api.atto.co/consents/v2
- US Environment (Production)https://us.api.atto.co/consents/v2
curl -i -X GET \
'https://uk.api.atto.co/consents/v2?configurationName=string&consentStatus=Pending&providerId=0&customerReference=string&userId=string&dataSourceType=OpenBanking&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&offset=0&limit=0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Returns the list of consents.
Array []
Type of the consent based on duration.
Enum:"Single""Limited""Infinite"
Enum:"Pending""Active""Revoked""Abandoned""Failed""Expired"
Number of days of transactions that can be requested from the bank.
Used to indicate the type of journey that was performed If null it means the default(initial) journey was performed.
Enum:"Reauthentication""Reconfirmation"
Enum:"OpenBanking""CreditInformation""UserSupplied"
Response
[ { "consentId": "383460e3-8762-4b4d-5d63-08dea9a9a93c", "applicationId": "1e2eada7-fea2-4b6c-93f4-e8691e3be657", "userId": "b33420fd-987c-4703-fae5-08dea9a9a93d", "providerId": 15, "providerName": "Barclays", "configurationName": "default", "customerReference": "Ref123", "consentDurationType": "Limited", "consentStatus": "Active", "consentStart": "2026-05-05T14:08:45", "consentEnd": "2027-05-05T14:08:45", "duration": "P365D", "daysOfHistoricalTransactions": 365, "statusUpdated": "2026-05-05T14:08:45", "statusDetails": null, "permissions": [ … ], "invitationId": "e88e9ba5-1ec6-434e-5d62-08dea9a9a93c", "journeyType": "Reauthentication", "dataSourceType": "OpenBanking", "dataSource": "OAuth" }, { "consentId": "59cf30f5-e97d-44b0-5d61-08dea9a9a93c", "applicationId": "1e2eada7-fea2-4b6c-93f4-e8691e3be657", "userId": "5f69ed81-7eca-4a05-fae4-08dea9a9a93d", "providerId": 20, "providerName": "Monzo", "configurationName": "default", "customerReference": "Ref123", "consentDurationType": "Single", "consentStatus": "Expired", "consentStart": "2026-05-05T14:08:45", "consentEnd": "2026-05-06T14:08:45", "duration": "P1D", "daysOfHistoricalTransactions": 365, "statusUpdated": "2026-05-05T14:08:45", "statusDetails": null, "permissions": [ … ], "invitationId": "e88e9ba5-1ec6-434e-5d62-08dea9a9a93c", "journeyType": null, "dataSourceType": "OpenBanking", "dataSource": "OAuth" } ]